commit | 4e940846d38c2ae6a655a5dbae4d407a8d3c5010 | [log] [tgz] |
---|---|---|
author | Androbin <robin.richtsfeld@gmail.com> | Thu Nov 23 20:56:17 2017 +0100 |
committer | Androbin <robin.richtsfeld@gmail.com> | Thu Nov 23 20:56:17 2017 +0100 |
tree | e4c2320f89b12cc471ea77795e125d5bb95711ce | |
parent | b24a6f96b1e405568eb7895e4242e76fd5bcb719 [diff] |
Use "${var:?}" to ensure this never expands to /* .
diff --git a/third_party/ijar/test/ijar_test.sh b/third_party/ijar/test/ijar_test.sh index 0b9a92f..5279f15 100755 --- a/third_party/ijar/test/ijar_test.sh +++ b/third_party/ijar/test/ijar_test.sh
@@ -41,7 +41,7 @@ source ${DIR}/testenv.sh || { echo "testenv.sh not found!" >&2; exit 1; } function cleanup() { - rm -fr "$TEST_TMPDIR"/* + rm -fr "${TEST_TMPDIR:-sentinel}"/* } trap cleanup EXIT